MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029917Community[OCCT] OCCT:Foundation Classespublic2018-06-30 13:182020-05-30 12:26
Reportereryar 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0029917: Foundation Classes - OSD_FileNode AccessMoment and CreationMoment return the same date on Windows
DescriptionOSD_FileNode AccessMoment() and CreationMoment() return the same date on Windows.

Because AccessMoment() and CreationMoment() all call the function:
static BOOL __fastcall _get_file_time (const wchar_t* fName, LPSYSTEMTIME lpSysTime, BOOL fAccess)
with the fAccess set to TRUE. When the fAccess set to true, the function reutrn the AccessMoment() date.

It should modify the fAccess to FALSE for CreationMoment() function.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0092149)
git (administrator)
2020-05-15 14:21

Branch CR29917 has been created by mkrylova.

SHA-1: d6eed0047c3ce062095663389c46ec1bf2e279e9


Detailed log of new commits:

Author: Krylova Maria
Date: Fri May 15 13:54:26 2020 +0300

    0029917: Foundation Classes - OSD_FileNode AccessMoment and CreationMoment return the same date on Windows
    
    fAccess in CreationMoment() function for Windows has been modified from TRUE to FALSE
(0092248)
git (administrator)
2020-05-19 11:51

Branch CR29917 has been updated forcibly by mkrylova.

SHA-1: f608eb3a8e003c0127cb43158f73bf63c50f0e81
(0092292)
git (administrator)
2020-05-21 13:12

Branch CR29917 has been updated forcibly by mkrylova.

SHA-1: 011c12a4c98442f70eac363681e6a09dccd7d7b7
(0092307)
kgv (developer)
2020-05-22 20:06

Please raise the patch in OCCT branch CR29917.

http://jenkins-test-12.nnov.opencascade.com/view/CR29917-master-KGV/view/COMPARE/ [^]
(0092393)
bugmaster (administrator)
2020-05-29 09:49

Combination -
OCCT branch : WEEK-22
master SHA - 872f98d9ef76db68b45bb744a6f56788f134d9e7
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-22 SHA - 0948de4c2124aea8b36e4e2373bac22c08a4c7dc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17185.300000000076 / 17188.26000000018 [-0.02%]
Products
Total CPU difference: 11192.350000000066 / 11217.810000000067 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 18662.4375 / 18659.515625 [+0.02%]
Products
Total CPU difference: 12991.78125 / 13006.1875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092414)
git (administrator)
2020-05-30 12:26

Branch CR29917 has been deleted by inv.

SHA-1: 011c12a4c98442f70eac363681e6a09dccd7d7b7

- Related Changesets
occt: master 04c5a696
Timestamp: 2020-05-15 10:54:26
Author: mkrylova
Committer: bugmaster
Details ] Diff ]
0029917: Foundation Classes - OSD_FileNode AccessMoment and CreationMoment return the same date on Windows

fAccess in CreationMoment() function for Windows has been modified from TRUE to FALSE
mod - src/OSD/OSD_FileNode.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-30 13:18 eryar New Issue
2018-06-30 13:18 eryar Assigned To => abv
2018-06-30 13:21 eryar Summary OSD_FileNode AccessMoment and CreationMoment return the same date on Windows => Foundation Classes - OSD_FileNode AccessMoment and CreationMoment return the same date on Windows
2020-05-06 13:11 kgv Assigned To abv => mkrylova
2020-05-06 13:11 kgv Status new => assigned
2020-05-06 13:11 kgv Target Version => 7.5.0
2020-05-15 14:21 git Note Added: 0092149
2020-05-19 11:51 git Note Added: 0092248
2020-05-20 14:29 mkrylova Assigned To mkrylova => osa
2020-05-20 14:29 mkrylova Status assigned => resolved
2020-05-20 14:29 mkrylova Steps to Reproduce Updated View Revisions
2020-05-21 13:12 git Note Added: 0092292
2020-05-22 20:06 kgv Note Added: 0092307
2020-05-22 20:06 kgv Assigned To osa => bugmaster
2020-05-22 20:06 kgv Status resolved => reviewed
2020-05-29 09:49 bugmaster Note Added: 0092393
2020-05-29 09:49 bugmaster Status reviewed => tested
2020-05-29 09:51 bugmaster Test case number => Not required
2020-05-30 12:13 bugmaster Changeset attached => occt master 04c5a696
2020-05-30 12:13 bugmaster Status tested => verified
2020-05-30 12:13 bugmaster Resolution open => fixed
2020-05-30 12:26 git Note Added: 0092414


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker